import { CSSResultGroup } from 'lit';
import NileElement from '../internal/nile-element';
export declare class NileSlideToggle extends NileElement {
    static styles: CSSResultGroup;
    label: string;
    sublabel: string;
    textPosition: 'left' | 'right';
    isChecked: boolean;
    fullWidth: boolean;
    disabled: boolean;
    helpText: string;
    errorMessage: string;
    connectedCallback(): void;
    disconnectedCallback(): void;
    toggleValue(): void;
    render(): import("lit-html").TemplateResult<1>;
}
